Skip to main content
GET
/
api
/
order-lines
List order lines
curl --request GET \
  --url https://app.solya.app/api/order-lines \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "brandId": "brand-uuid-nike",
      "brandName": "Nike",
      "code": "ORD-2026-SS-L1",
      "createdAt": "2025-11-10T10:00:00.000Z",
      "orderCode": "ORD-2026-SS-NIKE",
      "orderLineId": "ord-line-uuid-1",
      "orderName": "Nike SS26 Pre-Season Order",
      "orderStatus": "CONFIRMED",
      "productId": "product-uuid-1",
      "productName": "Air Max 90",
      "purchasePrice": 66,
      "purchasePriceExcludingCharges": 60,
      "quantity": "24",
      "recommendedSellingPrice": 150,
      "recommendedSellingPriceExcludingTax": 125,
      "sessionId": "session-uuid-ss26",
      "supplierId": "supplier-uuid-nike",
      "updatedAt": "2025-11-10T10:00:00.000Z",
      "variantCode": "NK-AM90-WHT",
      "variantId": "variant-uuid-a",
      "variantName": "White",
      "vatRate": 0.2
    },
    {
      "brandId": "brand-uuid-nike",
      "brandName": "Nike",
      "code": "ORD-2026-SS-L2",
      "createdAt": "2025-11-10T10:00:00.000Z",
      "orderCode": "ORD-2026-SS-NIKE",
      "orderLineId": "ord-line-uuid-2",
      "orderName": "Nike SS26 Pre-Season Order",
      "orderStatus": "CONFIRMED",
      "productId": "product-uuid-2",
      "productName": "Air Max 270",
      "purchasePrice": 66,
      "purchasePriceExcludingCharges": 60,
      "quantity": "18",
      "recommendedSellingPrice": 150,
      "recommendedSellingPriceExcludingTax": 125,
      "sessionId": "session-uuid-ss26",
      "supplierId": "supplier-uuid-nike",
      "updatedAt": "2025-11-10T10:00:00.000Z",
      "variantCode": "NK-AM270-BLK",
      "variantId": "variant-uuid-c",
      "variantName": "Black",
      "vatRate": 0.2
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 156
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
productId
string
brandId
string
dateFrom
string
dateTo
string

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true